MagicWP Docs
WordPress

Preview search and replace

POST
/v1/sites/{site_id}/wp/search-replace/dry-run

Permission: database.manage

Authorization

apiToken
headerAuthorizationBearer <token>

An API token (mwp_…) from Settings → API tokens. Only accepted on this host.

Path Parameters

site_id*Site Id
Formatuuid

Request Body

application/json
  1. body
search*Search
Length1 <= length
replace*Replace
Length1 <= length

Response Body

Successful Response

application/json
  1. response
success*boolean
data*

A long action was started: poll GET /v1/tasks/{task.id} until status is completed or failed.

message*string
status_code*integer
timestamp*string
Formatdate-time
meta?|null
curl -X POST "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/wp/search-replace/dry-run" \  -H "Content-Type: application/json" \  -d '{    "search": "string",    "replace": "string"  }'
{  "message": "string",  "status_code": 0,  "timestamp": "2019-08-24T14:15:22Z",  "meta": {},  "success": true,  "data": {    "task": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "task_type": "string",      "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811",      "status": "string",      "result": "string",      "error_message": "string",      "metadata_json": {},      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z"    }  }}